ポストのコンプライアンスデータをストリーミングする
curl --request GET \
--url https://api.x.com/2/tweets/compliance/stream \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/tweets/compliance/stream"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/tweets/compliance/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"delete": {
"event_at": "2021-07-06T18:40:40.000Z",
"tweet": {
"author_id": "2244994945",
"id": "1346889436626259968"
},
"quote_tweet_id": "1346889436626259968"
}
}
}{
"code": 123,
"message": "<string>"
}コンプライアンスストリーム
ポストのコンプライアンスデータをストリーミングする
ポストに関連するすべてのコンプライアンスデータをストリーミングします。
GET
/
2
/
tweets
/
compliance
/
stream
ポストのコンプライアンスデータをストリーミングする
承認
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
クエリパラメータ
バックフィルを要求する時間(分単位)。
必須範囲:
0 <= x <= 5パーティション番号。
必須範囲:
1 <= x <= 4YYYY-MM-DDTHH:mm:ssZ。ポストのコンプライアンスイベントが提供される最も早い UTC のタイムスタンプ。
YYYY-MM-DDTHH:mm:ssZ 形式。ポストコンプライアンスイベントが提供される最も新しい UTC タイムスタンプです。
レスポンス
リクエストは成功しました。
- Option 1
- Option 2
ツイートコンプライアンスストリーム内のイベント。
ツイートのコンプライアンスデータ。
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Show child attributes
Show child attributes
⌘I